##### prod 配置 #######
server:
  port: 18000

spring:
  #数据库配置
  datasource:
    dynamic:
      primary: master
      datasource:
        master:
          url: jdbc:dm://127.0.0.1:5236
          username: BIANMU
          password: 123456789
          driver-class-name: dm.jdbc.driver.DmDriver

project:
  static-resource-address: ${server.servlet.context-path}

oauth:
  server:
    #Nginx代理地址
    proxy: http://172.16.36.205:800/oauth-server
    #内网服务地址
    internal: http://127.0.0.1:8888/oauth-server
security:
  oauth2:
    client:
      client-id: desktop
      client-secret: bianmu_123456
      access-token-uri: ${oauth.server.internal}/oauth/token
      user-authorization-uri: ${oauth.server.proxy}/oauth/authorize
    resource:
      user-info-uri: ${oauth.server.internal}/oauth/user/info
